/* FileFinderAdaptor.h:
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 *
 * Written by: David Stutz
 * Revised by: Mai Nguyen, August 1992
 *
 */
#import <objc/Object.h>
#import <DBBasicAdaptor.h>
#import <dbkit/protocols.h>

@class List;
@class DBDatabase;
@class DBBinder;

@interface FileFinderAdaptor : DBBasicAdaptor
{
  id database;
  id onlyEntity;
  id nameProperty;
  id dateProperty;
  id typeProperty;

  id finder;
  id postings;
  char *directory;
  int postingCount;
  int currentRow;
  BOOL isOpen;
}

/* Basic Adaptor protocol */
- initForDatabase:(DBDatabase*)aDatabase;

- (BOOL)connectUsingString:(const unsigned char*)aString;
- (BOOL)disconnectUsingString:(const unsigned char*)aString;
- (BOOL)isConnected;

- (BOOL)evaluateString:(const unsigned char*)aString using:(DBBinder*)aBinder;
- (BOOL)fetchData:(DBBinder*)aBinder;
- (void)fetchDone:(DBBinder*)aBinder;

- (BOOL)insertData:(DBBinder*)aBinder;
- (BOOL)selectData:(DBBinder*)aBinder;
- (BOOL)updateData:(DBBinder*)aBinder;
- (BOOL)deleteData:(DBBinder*)aBinder;

- (const unsigned char*)connectionName;
- (const unsigned char*)currentLoginString;

/* These two methods are needed for building models via DBModeler */
- enumerateEntities:(List*)aList;
- enumerateProperties:(List*)aList forEntity:(id<DBEntities>)anEntity;

@end
