/*
 *		Obtained from runtime system information and documented by
 *		Joerg Jacobsen, JACOBSEN Software-Entwicklung
 *
 *      Copyright (c) 1992, NeXT Computer, Inc.  All rights reserved.
 */ 
#import <appkit/appkit.h>
#import <dbkit/dbkit.h>

@interface DBString : Object
{
	char *_stringbuf;
}
@end

@interface DBAttribute : Object <DBProperties, DBTypes, DBExpressionValues>
{
@public
	DBEntity	*entity;
@private
	DBString	*_propertyNameExpr;
	DBString	*_internalNameExpr;
	DBString	*_aliasedNameExpr;
	DBString	*_typeExpr;
	DBString	*_dbTypeExpr;
	char		*_classname;
	char		*_format;
	struct {
		BOOL aggregate:1;	/* attr is aggregate */
		BOOL readOnly:1;    /* is this attribute read only? */
		BOOL key:1;			/* is attr part of the primary key? */
		BOOL hidden:1;		/* is attr invisible in browsers? */
		int _RESERVED:12;
	} _flags;
}
+ initialize;
+ setPasteboardType:(char *)aType;
+ (char *)pasteboardType;

- initWithName:(const char *)aName andType:(char *)aType
							forEntity:(id<DBEntities>)anEntity;
- copyFromZone:(NXZone *)aZone;
- free;
- (const char *)name;
- entity;
- propertyType;
- (char *)objcType;
- (char *)objcClassName;
- (char *)databaseType;
- (BOOL)setName:(const char *)aName;
- setInternalName:(const char *)aName;
- setDatabaseType:(char *)aType;
- setObjcType:(char *)aType;
- setObjcClassName:(char *)aName;
- (char *)format;
- setFormat:(char *)aFormat;
- (char *)internalName;

- (BOOL)isEntity;
- (BOOL)isReadOnly;
- (BOOL)isSingular;
- (BOOL)isAggregate;
- (BOOL)isHidden;
- (BOOL)isKey;
- (BOOL)isDeferredExpression;
- (BOOL)matchesProperty:aProperty;
- (BOOL)matchesType:aType;

- setAggregate:(BOOL)status;
- setHidden:(BOOL)status;
- setReadOnly:(BOOL)status;
- setKey:(BOOL)status;
- (const char *)expressionValue;

- read:(void *)ptr;
- write:(void *)ptr;

@end
