/*
 *		Obtained from runtime system information and documented by
 *		Joerg Jacobsen, JACOBSEN Software-Entwicklung
 *
 *      Copyright (c) 1992, NeXT Computer, Inc.  All rights reserved.
 */ 
#import <objc/Object.h>

@interface DBBasicAdaptorContext : Object
{
}
- (BOOL)fetchData:aBinder;
/* Every adaptor is required to override either this method or the
 * corresponding method in DBBasicAdaptorContext. It is supposed to set
 * the current record object in the application via the valueForProperty
 * method of DBBinder and any setXXXValue methods of DBValue. DBBinder
 * takes care itself of allocating a new record before sending a "fetchData"
 * message to its DBDatabase object (which in turn forwards this message
 * to its adaptor).
 */
- (BOOL)evaluateString:(const unsigned char *)aString using:aBinder;
/* Every adaptor is required to override either this method or the
 * corresponding method in DBBasicAdaptorContext. aString is interpreted
 * as a standard SQL statement.  Returns the status of the evaluation.
 * The implementation of this method is
 * closely related to the one of "fetchData": the later will access resources 
 * allocated by the former in case the string to be evaluated is concerned 
 * with data retrieval.
 */
- initForAdaptor:anAdaptor;
@end
