/*
 *		Obtained from runtime system information and documented by
 *		Joerg Jacobsen, JACOBSEN Software-Entwicklung
 *
 *      Copyright (c) 1992, NeXT Computer, Inc.  All rights reserved.
 */ 
#import <appkit/appkit.h>
#import <dbkit/dbkit.h>

@interface DBEntity : Object
{
	id	database;
}

+ initialize;
+ new;

- init;
- initWithName:(const char *)aName loadableFromDatabase:aDatabase;
- copyFromZone:(NXZone *) zone;
- free;
- (DBDatabase *)database;						// From Properties protocol.
- (const char *)name;							// From Properties protocol.
- (BOOL)setName:(const char *)aName;
- (char *)objcType;
- (char *)objcClassName;
- (char *)databaseType;
- setDatabaseType:(char *)aType;
- (char *)format;
- setFormat:(char *)aFormat;
- propertyNamed:(const char *)aName;			// From Properties protocol.
- getProperties:(List *)aList;					// From Properties protocol.
- addProperty:aProperty;
- (BOOL)matchesEntity:(id <DBEntities>)anEntity;// From Properties protocol.
- (BOOL)matchesType:aType;
- (BOOL)isEntity;
- setInternalName:(const char *)aName;
- (char *)internalName;
- image;
- setImage:anImage;
- (BOOL)isHidden;
- setHidden:(BOOL)hide;
- (const char *)expressionValue;
- (BOOL)isDeferredExpression;

- read:(void *)ptr;
- write:(void *)ptr;

@end