1. Using the Online Manual
  The two entry points to the online manual are the
functions fi:clman and fi:clman-apropos.  The first is used to look up
a symbol in the online manual, and the second is used to do an apropos
search on a string.

   The features of this package include:
   
    * Command completion: begin typing in a symbol and hit the completion
      key.  Note: You cannot use command completion when you precede a symbol 
      with a package qualifier, but see the item below.

    * Package-specific search.  To confine the search to a particular 
      package, type the nickname of the package to the prompt and hit the
      carriage return.  You can then type the name of a symbol in this package
      or use command completion to see a list of all the symbols in the
      package.  The following is the complete list of package nicknames. 
      (One of the nicknames, "about", while not properly the name
      of a package, refers to a group of broad conceptual entries such as
      "about-reading" and "about-process-locks".) :
	
		math
		lisp	;; NOT AVAILABLE ON THE NEXT MACHINE
		mp
		about
		compiler
		excl
		foreign
		sys
		objc
		tpl
	

    * Default Lookup: the program assumes you want to lookup the
      symbol that surrounds, or is immediately to the left of,
      your cursor.  Thus you can easily look up a function in 
      the midst of using it in your code, or quickly pick a symbol 
      to lookup in the See Also section of the manual page.

    * All instances of a symbol in a particular package are found.  Use 
      fi:clman-next-entry to go to the next documented entry for a particular
      symbol.  (To narrow the search for a symbol down to a particular 
      package, use fi:clman-apropos.)

   Known limitations:

    * The Default Lookup mechanism doesn't understand symbols whose
      names are broken over a line (e.g. make- window-stream).
      Symbols in the See Also section are often broken in that way and
      the Default Lookup will not work in those cases.

    * Packages are only known to fi:clman by one name, from the list
      above.  (Thus, it will not work to try to narrow a search 
      down by typing "top-level" and then <cr>.

1.1 Bindings

   The key bindings for CLMAN mode are set up only once, the first
time the mode is entered, and are taken from the variable
`clman:mode-map'.  Users wanting to change the bindings could
explicitly set this variable or augment the map from within the hooks
for the mode.

fi:clman-mode.......................................................[function]
   Major mode for viewing Allegro manual pages.  text-mode-syntax-table and
text-mode-abbrev-table are `used' in this mode.


fi:clman-mode-map.....................................................[keymap]
   Major mode key definitions for viewing a clman page.

n               fi:clman-next-entry
s               fi:clman-search-forward-see-alsos
p               fi:clman-package-help
m               fi:clman
a               fi:clman-apropos
C-c             Prefix Command

C-c C-c         fi:clman-flush-doc





1.2 Variables

fi:clman-displaying-function........................................[variable]
   Value: fi:clman-find-file
   This function will be funcalled with two arguments, the .doc file to be
displayed, and the buffer which is the value of fi:clman-displaying-buffer.
If you wish, you can set this variable to your own displaying function.


fi:clman-displaying-buffer..........................................[variable]
   Value: "*CLMan*"
   Either nil or a string naming the buffer that the system will use for
displaying documentation pages.  If nil, then the system will not try to
reuse the same buffer.




1.3 Functions

fi:clman............................................................[function]
   Invoke with: m in CLMAN mode.
   Look up SYMBOL in the online manual, with completion.  The optional
argument SYMBOL is prompted for in the minibuffer, if not supplied.  As a
guess, the system uses the symbol immediately to the left of the text
cursor.  To get completion for a symbol in a package other than the :lisp
package, use the nickname of that package, followed by a colon (e.g. cw: or
math:).  The buffer that is displayed will be in CLMAN mode.


fi:clman-apropos....................................................[function]
   Invoke with: a in CLMAN mode.
   Prompts for a string on which an apropos search is done.  Displays a
      buffer which lists all documented symbols which match the string.  The
      buffer will be in CLMAN mode.


fi:clman-search-forward-see-alsos...................................[function]
   Invoke with: s in CLMAN mode.
   Move text cursor directly to the beginnig of the SEE ALSO section of a
clman buffer, from anywhere in the buffer.


fi:clman-flush-doc..................................................[function]
   Invoke with: C-c C-c in CLMAN mode.
   Flush the current clman buffer.


fi:clman-package-help..................................................[function]
   Output a list of package nicknames to a temporary buffer.
